### Method

# GimpUi NumberPairEntry set_ratio

since: 2.4

#### Declaration [src]

    void
    gimp_number_pair_entry_set_ratio (
      GimpNumberPairEntry* entry,
      gdouble ratio
    )

#### Description [src]

Sets the numbers of the `GimpNumberPairEntry` to have the desired ratio. If the new ratio is different than the previous ratio, the “ratio-changed” signal is emitted.

An attempt is made to convert the decimal number into a fraction with left_number and right_number < 1000.

Available since: 2.4

Sets property | `GimpUi.NumberPairEntry:ratio`

#### Parameters

`ratio`

  Type: `gdouble`

  Ratio to set in the widget.